com.google.appengine.api.search.dev

## Class Scorer

- java.lang.Object
- - com.google.appengine.api.search.dev.Scorer

- Direct Known Subclasses:
    GenericScorer, MatchScorer, SimpleScorer

      public abstract class Scorer
      extends java.lang.Object

  Abstract scorer class.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Scorer.Result` Abstract scorer result.
    `static class` | `Scorer.SearchResults` Simple container class for result list and totalHits value.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scorer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Scorer` | `newInstance(SearchServicePb.SearchParams searchParams, java.util.Map<java.lang.String,java.util.Set<DocumentPb.FieldValue.ContentType>> fieldTypes)`
    `abstract Scorer.SearchResults` | `search(IndexSearcher indexSearcher, Query q, int offset, int limit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Scorer

          public Scorer()

  - ### Method Detail

    - #### search

          public abstract Scorer.SearchResults search(IndexSearcher indexSearcher,
                                                      Query q,
                                                      int offset,
                                                      int limit)
                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### newInstance

          public static Scorer newInstance(SearchServicePb.SearchParams searchParams,
                                           java.util.Map<java.lang.String,java.util.Set<DocumentPb.FieldValue.ContentType>> fieldTypes)